| Home | Libraries | People | FAQ | More

## Function template ifind_first

boost::algorithm::ifind_first — Find first algorithm ( case insensitive ).

## Synopsis

    template<typename Collection1T, typename Collection2T>
      iterator_range< typename result_iterator_of< Collection1T >::type >
      ifind_first(Collection1T & Input, const Collection2T & Search,
                  const std::locale & Loc = std::locale());

## Description

Search for the first occurence of the substring in the input. Searching is case insensitive.

Parameters

Input

  A string which will be searched.

Loc

  A locale used for case insensitive comparison

Search

  A substring to be searched for.

Returns: An `iterator_range` delimiting the match. Returned iterator is either `Collection1T::iterator` or `Collection1T::const_iterator` , depending on the constness of the input parameter.
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba